//验证用户提交表单
function check()
{
	if(document.getElementById("M_Userid").value == ""){
		alert("您第一步没完成，请返回第一步选择您的用户名！");
		window.location="Selectuserid.aspx";
		return false;
	}
	if(document.form.M_Password.value==""){
		alert("密码不能为空！");
		document.form.M_Password.focus();
		return false;
	}
	if((document.form.M_Password.value).length<6){
		alert("为了安全起见，您输入的密码长度必须大于或等于6位！");
		document.form.M_Password.focus();
		return false;
	}
	
	if (document.getElementById("reM_Password") != null)
	{
	    if((document.form.M_Password.value)!=(document.form.reM_Password.value))
	    {
		    alert("您两次输入的密码不一致！");
		    document.form.M_Password.focus();
		    return false;
	    }
	}
	if(document.form.M_Question.value=="" || (document.form.M_Question.value).length<6){
		alert("密码提示问题不能为空，且长度不能小于６位！");
		document.form.M_Question.focus();
		return false;
	}
	if(document.form.M_Key.value==""){
		alert("密码提示答案不能为空！");
		document.form.M_Key.focus();
		return false;
	}
	
	if(document.form.M_Name.value==""){
		alert("真实姓名不能为空！");
		document.form.M_Name.focus();
		return false;
	}

	if(document.form.M_Email.value.match(/^[\w\.]+@[\w\.]+\.\w+$/) == null){
		alert("您输入的邮箱不正确！");
		document.form.M_Email.focus();
		return false;
	}
	if(document.form.M_Tel.value=="")
	{
		alert("电话号码不能为空！");
	}
//	if(document.form.M_Tel.value=="" || isNaN(document.form.M_Tel.value)){
//		alert("国家区号不能为空，且只能为数字！");
//		document.form.M_Tel.focus();
//		return false;
//	}
//	if(document.form.M_TelB.value=="" || isNaN(document.form.M_TelB.value)){
//		alert("城市区号不能为空，且只能为数字！");
//		document.form.M_TelB.focus();
//		return false;
//	}
//	if(document.form.M_TelC.value=="" || ((document.form.M_TelC.value).length<7) || isNaN(document.form.M_TelC.value)){
//		alert("电话号码不正确，只能为数字！\n且必须大于７位！");
//		document.form.M_TelC.focus();
//		return false;
//	}
	if(document.form.province && document.form.province.style.display!="none"){
		if(document.form.province.value==""){
			alert("请选择贵公司所在的地区！");
			return false;
		}
	}
	if(document.form.city && document.form.city.style.display!="none"){
		if(document.form.city.value==""){
			alert("请选择贵公司所在的诚市！");
			return false;
		}
	}
	if(document.form.M_Adder.value==""){
		alert("详细地址不能为空！");
		document.form.M_Adder.focus();
		return false;
	}
	
    //如果用户选择了加入公司库那就要验证其表单的输入
	if(document.form.JoinNow && document.form.JoinNow.checked){
		if(document.form.C_Name.value==""){
			alert("公司名称不能为空！");
			document.form.C_Name.focus();
			return false;
		}
		if(document.form.C_ProductsBClas.value==""){
			alert("请选择企业类别(大类)！");
			document.form.C_ProductsBClas.focus();
			return false;
		}
		if(document.form.C_ProductsSClas.value==""){
			alert("请选择企业类别(子栏目) 最少一项已上\n可多选！！");
			return false;
		}
		if(document.form.C_PurveyProducts.value==""){
			alert("供应产品不能为空。\n多个产品间用 ','号分开！");
			document.form.C_PurveyProducts.focus();
			return false;
		}
		if(document.form.C_BuyProducts.value==""){
			alert("求购产品不能为空。\n多个产品间用 ','号分开！");
			document.form.C_BuyProducts.focus();
			return false;
		}
		if(document.form.C_Info.value==""){
			alert("公司简介不能为空！");
			document.form.C_Info.focus();
			return false;
		}
	}
}
